/* programa suma.c 
 * pide dos números y luego calcula la suma de todos los números 
 * comprendidos entre los solicitados incluidos ellos mismos
 */

float f_suma(int a, int b);	/* En la declaración y en la definición no hace 
				   falta que coincidan los nombres */

#include <stdio.h>

int main(void)
{
    int j, k;

    printf("Dame dos números enteros: ");
    scanf("%d %d", &j, &k);
    printf("El resultado de sumar todos los números del %d al %d " \
    "vale: %f\n", j, k, f_suma(j, k));	/* invocamos la función fsuma */
    return 0;
}

/* La llamada de la función f_suma es por valor, esto significa que se pasa una
   copia de los valores j y k, pero la función no modifica dichos valores. Para 
   modificar los valores originales hay que pasar los valores por referencia, que   
   significa que pasamos la dirección de memoria donde se encuentra guardada la
   variable y así la función puede modificar dichos valores directamente. */
