/* programa suma.c 
 * pide dos números y luego calcula la suma de todos los números 
 * comprendidos entre los solicitados incluidos ellos mismos
 */

#include <stdio.h>

float f_suma(int a, int b);
void intercambio(int *j, int *k);	/* j y k son punteros a entero */

int main(void)
{
    int j, k;
    printf("Dame dos números enteros: ");
    scanf("%d %d", &j, &k);
    printf("El resultado de sumar todos los números del %d al %d "
	   "vale: %f\n", j, k, f_suma(j, k));
    return 0;
}

float f_suma(int c, int d)
{
    float x;
    int i, t;
    if (c == d) {
	return c + d;
    }

    if (c > d) {
	intercambio(&c, &d);  /* Invocamos la función intercambio y le pasamos
				  la dirección de c, que se indica mediante &c */
    }

    x = c;
    for (i = c + 1; i <= d; i++)
	x += i;
    return x;
}

void intercambio(int *j, int *k)
{				/* j y k son punteros a entero y se definen como 
				   int *j. Estos nombres no interfieren con otras 
				   partes del programa, como la variables j y k de
				   main que reciben los números */
    int t;
    t = *j;	/*  *j ahora significa el valor al que apunta el puntero j */
    *j = *k;
    *k = t;
}
